Debian Bug report logs - #228801
cproto: does not process inlined declarations

version graph

Package: cproto; Maintainer for cproto is Kenneth J. Pronovici <pronovic@debian.org>; Source for cproto is src:cproto.

Reported by: Patricio Rojo <pmr27@cornell.edu>

Date: Wed, 21 Jan 2004 00:03:01 UTC

Severity: wishlist

Found in version 4.7a-1

Fixed in version cproto/4.7a-2

Done: pronovic@debian.org (Kenneth J. Pronovici)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#228801; Package cproto. Full text and rfc822 format available.

Acknowledgement sent to Patricio Rojo <pmr27@cornell.edu>:
New Bug report received and forwarded. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patricio Rojo <pmr27@cornell.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cproto: does not process inlined declarations
Date: Tue, 20 Jan 2004 18:49:53 -0300
Package: cproto
Version: 4.7a-1
Severity: wishlist

There could be an option to allow cproto to generate a prototype of a 
function declared as "inline".


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux galapagos 2.4.22-pcstm3-cel #1 Tue Dec 23 12:38:10 CLST 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages cproto depends on:
ii  libc6                       2.3.2.ds1-10 GNU C Library: Shared libraries an

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#228801; Package cproto. Full text and rfc822 format available.

Acknowledgement sent to Kenneth Pronovici <pronovic@debian.org>:
Extra info received and forwarded to list. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). Full text and rfc822 format available.

Message #10 received at 228801@bugs.debian.org (full text, mbox):

From: Kenneth Pronovici <pronovic@debian.org>
To: Patricio Rojo <pmr27@cornell.edu>, 228801@bugs.debian.org
Subject: Re: Bug#228801: cproto: does not process inlined declarations
Date: Tue, 20 Jan 2004 22:03:53 -0600
[Message part 1 (text/plain, inline)]
> Package: cproto
> Version: 4.7a-1
> Severity: wishlist
> 
> There could be an option to allow cproto to generate a prototype of a 
> function declared as "inline".

I'll talk to upstream about this.  Thanks for the request.

KEN
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pronovic@debian.org (Kenneth J. Pronovici):
Bug#228801; Package cproto. Full text and rfc822 format available.

Acknowledgement sent to Kenneth Pronovici <pronovic@debian.org>:
Extra info received and forwarded to list. Copy sent to pronovic@debian.org (Kenneth J. Pronovici). Full text and rfc822 format available.

Message #15 received at 228801@bugs.debian.org (full text, mbox):

From: Kenneth Pronovici <pronovic@debian.org>
To: dickey@invisible-island.net, 228801@bugs.debian.org
Subject: Support inline functions in cproto
Date: Wed, 21 Jan 2004 12:47:21 -0600
[Message part 1 (text/plain, inline)]
Hi, Thomas -

I recently received Debian "wishlist" bug #228801:

   http://bugs.debian.org/228801

The bug requests that cproto provide an option to output inline
functions, which are currently ignored.  

I took a quick peek at the code, and this didn't seem to be too
difficult to implement.  The attached patch makes it work.  If -i is
given, then inline functions will be written to the output.  Otherwise,
inline functions will be ignored as usual.  I've added a new test
(case23) for the -i option and also updated the manpage to document it.

There's also one unrelated change in the patch - I modified
testing/makefile to remove the .dcl files on clean.  These get left
around otherwise and originally resulted in some extraneous diffs in my
patch.

I'd be happy if you would accept this patch into your source tree or use
it as a starting point for similar functionality.  If you'll be
releasing a new version of cproto any time soon (within a month or so),
then I'll just wait for that before releasing a new Debian version of
the package.  Otherwise, I'm going to apply the patch and release Debian
version 4.7a-2 this week, so I can close this bug.  (Of course, I won't
release anything if you think there are any problems with my patch.)

KEN

-- 
Kenneth J. Pronovici <pronovic@debian.org>
[inline.patch (text/plain, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Reply sent to pronovic@debian.org (Kenneth J. Pronovici):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Patricio Rojo <pmr27@cornell.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 228801-close@bugs.debian.org (full text, mbox):

From: pronovic@debian.org (Kenneth J. Pronovici)
To: 228801-close@bugs.debian.org
Subject: Bug#228801: fixed in cproto 4.7a-2
Date: Sun, 29 Feb 2004 16:32:05 -0500
Source: cproto
Source-Version: 4.7a-2

We believe that the bug you reported is fixed in the latest version of
cproto, which is due to be installed in the Debian FTP archive:

cproto_4.7a-2.diff.gz
  to pool/main/c/cproto/cproto_4.7a-2.diff.gz
cproto_4.7a-2.dsc
  to pool/main/c/cproto/cproto_4.7a-2.dsc
cproto_4.7a-2_i386.deb
  to pool/main/c/cproto/cproto_4.7a-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 228801@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kenneth J. Pronovici <pronovic@debian.org> (supplier of updated cproto package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 29 Feb 2004 15:02:46 -0600
Source: cproto
Binary: cproto
Architecture: source i386
Version: 4.7a-2
Distribution: unstable
Urgency: low
Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
Changed-By: Kenneth J. Pronovici <pronovic@debian.org>
Description: 
 cproto     - Generate C function prototypes and convert function definitions
Closes: 228801
Changes: 
 cproto (4.7a-2) unstable; urgency=low
 .
   * Added 'make check' to debian/rules.
   * Added new -i option to support inline function prototypes (closes: #228801).
     Patch submitted upstream; will probably be accepted for a future release.
Files: 
 5ccfab5ca242f77f5e8826b648f9d4a8 576 devel optional cproto_4.7a-2.dsc
 b990e7862d59825d73be78a1838c5c15 3793 devel optional cproto_4.7a-2.diff.gz
 5f82cb8fa050e2893298344b548ca881 40178 devel optional cproto_4.7a-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAQlVj8On2ujzZUQQRAvBIAJ9ejWjASvaaTF+eVUipHc272Fn1GwCeNVup
Tr/yibkDGqbSulzhu+L982k=
=tjd8
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:22:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.